読者です 読者をやめる 読者になる 読者になる

CygwinにSVN1.6をインストールするには

Cygwin環境を普通に構築するとSVN1.7が入ってしまいます。
まあ最新版で悪くないのですが、色々その他ツールの対応状況とかによっては
1.6をまだ使いたいというニーズがありますよね。

んで、どうやって古いバージョンをいるのかと思っていたら。。

まず、今の1.7をアンインストールします
setup.exeからセットアップを起動して、「subver」等で検索して「New」タグをクリックすると「Uninstall」が出てくるのでそこで削除。

そしてアンインストールが終わったら1.6指定でインストールします。
同じくsetup.exeからセットアップを起動して、「subver」等で検索して「New」の1.7.4とかってなっているところをクリックすると1.6.17とかが出てきます。
なのでそれを指定してインストール。

これでめでたく1.6が使えるようになりました。

$ svn --version
svn, version 1.6.17 (r1128011)
   compiled Jun  2 2011, 10:39:28
広告を非表示にする